Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Interface SquiggleInputHandler

All Known Implementing Classes:
  SVGInputHandler, XMLInputHandler

public interface SquiggleInputHandler

This is the interface expected from classes which can handle specific types of input for the Squiggle SVG browser. The simplest implementation will simply handle SVG documents. Other, more sophisticated implementations will handle other types of documents and convert them into SVG before displaying them in an SVG canvas.

Method Summary
`boolean` | `accept(java.io.File f)` Returns true if the input file can be handled by the handler
`boolean` | `accept(ParsedURL purl)` Returns true if the input URI can be handled by the handler
`java.lang.String` | `getDescription()` Returns a description for this handler
`java.lang.String[]` | `getHandledExtensions()` Returns the list of file extensions handled by this handler
`java.lang.String[]` | `getHandledMimeTypes()` Returns the list of mime types handled by this handler.
`void` | `handle(ParsedURL purl, JSVGViewerFrame svgFrame)` Handles the given input for the given JSVGViewerFrame

Method Detail

### getHandledMimeTypes

    public java.lang.String[] getHandledMimeTypes()

  Returns the list of mime types handled by this handler.

### getHandledExtensions

    public java.lang.String[] getHandledExtensions()

  Returns the list of file extensions handled by this handler

### getDescription

    public java.lang.String getDescription()

  Returns a description for this handler

### accept

    public boolean accept(java.io.File f)

  Returns true if the input file can be handled by the handler

### accept

    public boolean accept(ParsedURL purl)

  Returns true if the input URI can be handled by the handler

  Parameters:
    `purl` - URL describing the candidate input

### handle

    public void handle(ParsedURL purl,
                       JSVGViewerFrame svgFrame)
                throws java.lang.Exception

  Handles the given input for the given JSVGViewerFrame

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.